
package eu.dnetlib.dhp.skgif.model;

import java.io.Serializable;
import java.util.List;

import org.codehaus.jackson.annotate.JsonProperty;

/**
 * @author miriam.baglioni
 * @Date 22/02/24
 */
public class Grant implements Serializable {
	private String local_identifier;// id
	private List<Identifier> identifiers;// .schema pid.qualifier.classid identifiers.value pid.value
	// identifiers.schema funder acronym to be used the xpath //fundingtree/funder/shortname
	// identifiers.value project.code

	private String title;// title.value
	@JsonProperty(value = "abstract")
	private String summary;// summary.value
	private String acronym; // acronym.value
	private String funder;// fundingtree to be used the xpath //funder/name
	private String funding_stream;// fundingtree to be used the xpath //funding_level_[n]
	private String currency;// currency.value
	private Float funded_amount;// ' fundedamount.value
	private List<String> keywords;// subject.value
	private String start_date;// startdate.value
	private String end_date;// enddate.value
	private String website;// websiteurl.value
	private List<MinOrganization> beneficiaries;// organization.id for the organizations in the relation with semantic
												// class
	// isParticipant produces the list of organization internal identifiers
	private List<Contributor> contributors;//
	private String grantCode;

	public String getGrantCode() {
		return grantCode;
	}

	public String getLocal_identifier() {
		return local_identifier;
	}

	public void setLocal_identifier(String local_identifier) {
		this.local_identifier = local_identifier;
	}

	public List<Identifier> getIdentifiers() {
		return identifiers;
	}

	public void setIdentifiers(List<Identifier> identifiers) {
		this.identifiers = identifiers;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getSummary() {
		return summary;
	}

	public void setSummary(String summary) {
		this.summary = summary;
	}

	public String getAcronym() {
		return acronym;
	}

	public void setAcronym(String acronym) {
		this.acronym = acronym;
	}

	public String getFunder() {
		return funder;
	}

	public void setFunder(String funder) {
		this.funder = funder;
	}

	public String getFunding_stream() {
		return funding_stream;
	}

	public void setFunding_stream(String funding_stream) {
		this.funding_stream = funding_stream;
	}

	public String getCurrency() {
		return currency;
	}

	public void setCurrency(String currency) {
		this.currency = currency;
	}

	public Float getFunded_amount() {
		return funded_amount;
	}

	public void setFunded_amount(Float funded_amount) {
		this.funded_amount = funded_amount;
	}

	public List<String> getKeywords() {
		return keywords;
	}

	public void setKeywords(List<String> keywords) {
		this.keywords = keywords;
	}

	public String getStart_date() {
		return start_date;
	}

	public void setStart_date(String start_date) {
		this.start_date = start_date;
	}

	public String getEnd_date() {
		return end_date;
	}

	public void setEnd_date(String end_date) {
		this.end_date = end_date;
	}

	public String getWebsite() {
		return website;
	}

	public void setWebsite(String website) {
		this.website = website;
	}

	public List<MinOrganization> getBeneficiaries() {
		return beneficiaries;
	}

	public void setBeneficiaries(List<MinOrganization> beneficiaries) {
		this.beneficiaries = beneficiaries;
	}

	public List<Contributor> getContributors() {
		return contributors;
	}

	public void setContributors(List<Contributor> contributors) {
		this.contributors = contributors;
	}

	public void setGrantCode(String value) {
		grantCode = value;
	}
}
